Subject: Re: [PATCH] rtnetlink & address family problem

From: Thomas Graf <[email-masked]>
Date: Tue, 7 Dec 2004 13:49:22 +0100

* jamal <[email-masked]> 2004-12-06 21:27
> On Mon, 2004-12-06 at 09:02, Thomas Graf wrote:
> 
> > Your patch would fix this issue but might break various things. The
> > actual problem is that iproute2 doesn't check the family in its filter.
> > It blindly assumes that the kernel only returns addresses of the kind it
> > has requested. I can understand if you think the current behaviour
> > is wrong but we shouldn't change it in the middle of a stable tree.
> 
> Why would it be wrong? The PF_UNSPEC is there for a purpose.

I don't think it is wrong myself but I understand if someone does. If
one sends a GETADDR request for PF_INET6 one might expect to either
receive all ipv6 addresses or none and to only receive all addresess
of any type if PF_UNSPEC was specified.

> If user space decides it wants to flush ipv4 addresses blindly that user
> spaces fault. The patch you attached seems legit. did you verify it?

Not yet, it probably has to be applied to iproute.c as well. I'll have
a look at it and do some testing.